
From: Arjan van de Ven <arjanv@redhat.com>

The patch below unexports raise_softirq().  raise_softirq() is not the
right api for drivers to use, instead raise_softirq_irqoff() is, and
thankfully all in-kernel code is using that variant already.  To avoid
future "accidents", unexport.

Acked-by: Ingo Molnar <mingo@elte.hu>

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/softirq.c |    2 --
 1 files changed, 2 deletions(-)

diff -puN kernel/softirq.c~unexport-raise_softirq kernel/softirq.c
--- 25/kernel/softirq.c~unexport-raise_softirq	2004-10-24 02:06:44.787950016 -0700
+++ 25-akpm/kernel/softirq.c	2004-10-24 02:06:44.791949408 -0700
@@ -183,8 +183,6 @@ void fastcall raise_softirq(unsigned int
 	local_irq_restore(flags);
 }
 
-EXPORT_SYMBOL(raise_softirq);
-
 void open_softirq(int nr, void (*action)(struct softirq_action*), void *data)
 {
 	softirq_vec[nr].data = data;
_
